Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021890
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2012-10-09 13:312012-11-22 17:50
ReporterngarciaView Statuspublic 
Assigned ToioritzCia 
PriorityurgentResolutionfixedFixed in Version3.0MP18
StatusclosedFix in branchpiFixed in SCM revisioncdf443bcad4a
ProjectionnoneETAnoneTarget Version3.0MP18
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tongarcia
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021890: The cost is not correctly calculated when posting matched invoices

DescriptionThe cost is not correctly calculated when posting matched invoices.
Steps To ReproduceAs group admin role:
   Change the currency of the 'Be Soft Drinker Price List' to EUR
   Check that the Costing Precision of the USD is 2
   Configure the Invoice Price Variance account to the 'Cherry Cola' product
   Create a Purchase Invoice with that product
      Organization: F&B US East Coast
      Business Partner: Be Soft Drinker, Inc.
      Price List: 'Be Soft Drinker Price List'
   Add a line to it:
      Product: Cherry Cola
      Invoiced Quantity: 1000
   Add a exchange rate to it (different from the generic one: Currency - Conversion Rates):
      Currency: EUR
      To Currency: USD
      Rate: 1.20
   Complete and post the invoice
   Create a Goods Receipt from that invoice. Complete and post it. Notice that the amount is 858.
   Find the associated matched invoice and post it. Notice that now the amount related to the receipt is 860
      
Proposed SolutionIn the createFact function of the DocMatchInv class, the bdCost variable is rounded to the costing precision of the currency.
TagsNo tags attached.
Attached Filesdocx file icon Bug.docx [^] (270,734 bytes) 2012-11-15 12:18

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0054412)
hgbot (developer)
2012-11-21 09:12

Repository: erp/devel/pi
Changeset: cdf443bcad4a78891e520f8ce59c12ef91d461d6
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Tue Nov 20 12:59:03 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cdf443bcad4a78891e520f8ce59c12ef91d461d6 [^]

Fixes issue 21890: The cost is not correctly calculated when posting matched invoices.

---
M src/org/openbravo/erpCommon/ad_forms/DocMatchInv.java
---
(0054441)
hudsonbot (developer)
2012-11-21 19:58

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/368bcd7fb0a0 [^]

Maturity status: Test
(0054457)
ngarcia (developer)
2012-11-22 17:49

Testing plan:
   Repeat the steps to reproduce. Two steps were missing:
      Create a purchase order first and then create the purchase invoice from it instead of creating the purchase invoice directly
      Run the Costing Background Process before Posting the Goods Receipt
(0054458)
ngarcia (developer)
2012-11-22 17:50

verified

- Issue History
Date Modified Username Field Change
2012-10-09 13:31 ngarcia New Issue
2012-10-09 13:31 ngarcia Assigned To => dmiguelez
2012-10-09 13:31 ngarcia Modules => Core
2012-10-09 13:33 ngarcia Issue Monitored: networkb
2012-10-09 13:33 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2012-10-20 08:43 jonalegriaesarte Assigned To jonalegriaesarte => ioritzCia
2012-11-02 14:54 ioritzCia Target Version 3.0MP17 => 3.0MP18
2012-11-15 12:18 ngarcia File Added: Bug.docx
2012-11-20 13:05 ioritzCia Status new => scheduled
2012-11-20 13:05 ioritzCia fix_in_branch => pi
2012-11-21 09:12 hgbot Checkin
2012-11-21 09:12 hgbot Note Added: 0054412
2012-11-21 09:12 hgbot Status scheduled => resolved
2012-11-21 09:12 hgbot Resolution open => fixed
2012-11-21 09:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cdf443bcad4a78891e520f8ce59c12ef91d461d6 [^]
2012-11-21 19:58 hudsonbot Checkin
2012-11-21 19:58 hudsonbot Note Added: 0054441
2012-11-22 17:49 ngarcia Note Added: 0054457
2012-11-22 17:50 ngarcia Review Assigned To => ngarcia
2012-11-22 17:50 ngarcia Note Added: 0054458
2012-11-22 17:50 ngarcia Status resolved => closed
2012-11-22 17:50 ngarcia Fixed in Version => 3.0MP18


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker